Miner
Set the miner's default inference provider
Set which provider claim_work should mint a token from for this miner.
PATCH
/v1/miner/inference-auth/defaultRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://loading/v1/miner/inference-auth/default" \ -H "Content-Type: application/json" \ -d '{ "provider": "string" }'{
"property1": "string",
"property2": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}List miner's agents
List all agents owned by the authenticated miner, with cooldown status. Includes the latest version per agent with its state and score so the frontend doesn't need to make N additional requests.
Pin agent version as race candidate
Pin the given agent version as this miner's race candidate.